import request from '@/utils/request'

// 查询违规-分值段设置列表
export function listValueSegment(query) {
  return request({
    url: '/laboratory/valueSegment/list',
    method: 'get',
    params: query
  })
}

// 查询违规-分值段设置详细
export function getValueSegment(id) {
  return request({
    url: '/laboratory/valueSegment/' + id,
    method: 'get'
  })
}

// 新增违规-分值段设置
export function addValueSegment(data) {
  return request({
    url: '/laboratory/valueSegment',
    method: 'post',
    data: data
  })
}

// 修改违规-分值段设置
export function updateValueSegment(data) {
  return request({
    url: '/laboratory/valueSegment',
    method: 'put',
    data: data
  })
}

// 删除违规-分值段设置
export function delValueSegment(id) {
  return request({
    url: '/laboratory/valueSegment/' + id,
    method: 'delete'
  })
}
